> For the complete documentation index, see [llms.txt](https://docs.dh3.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dh3.io/specs/apis/backfilling/webhooks-payload.md).

# WebHooks payload

When using webhooks, your endpoint will receive a POST request containing a `payload` field in the JSON body. This `payload` will always be an array that holds transaction data, even if batch processing is disabled.

The transactions are represented in raw, unprocessed format, similar to what you would receive from an RPC node. For advanced parsing, we offer an internal parser capable of interpreting well-known Interface Definition Languages (IDLs). More details on the parsing feature are available in the [*Parsed Transaction*](broken://pages/s7uWcgx88bqtutXH9WJY) section.

**Example Payload:**

```json
{
  "payload": [
    { ...transaction },
    { ...transaction }
  ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dh3.io/specs/apis/backfilling/webhooks-payload.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
